<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotProgressIndicatorMetadata\BotPlanningStepMetadata;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotPlanningSearchSourcesMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $sourceTitle = null;
    


    protected $provider = null;
    


    protected $sourceUrl = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSourceTitle()
    {
        return isset($this->sourceTitle) ? $this->sourceTitle : '';
    }

    public function hasSourceTitle()
    {
        return isset($this->sourceTitle);
    }

    public function clearSourceTitle()
    {
        unset($this->sourceTitle);
    }

    




    public function setSourceTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->sourceTitle = $var;

        return $this;
    }

    



    public function getProvider()
    {
        return isset($this->provider) ? $this->provider : 0;
    }

    public function hasProvider()
    {
        return isset($this->provider);
    }

    public function clearProvider()
    {
        unset($this->provider);
    }

    




    public function setProvider($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\BotProgressIndicatorMetadata\BotPlanningStepMetadata\BotPlanningSearchSourcesMetadata\BotPlanningSearchSourceProvider::class);
        $this->provider = $var;

        return $this;
    }

    



    public function getSourceUrl()
    {
        return isset($this->sourceUrl) ? $this->sourceUrl : '';
    }

    public function hasSourceUrl()
    {
        return isset($this->sourceUrl);
    }

    public function clearSourceUrl()
    {
        unset($this->sourceUrl);
    }

    




    public function setSourceUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->sourceUrl = $var;

        return $this;
    }

}

